DROP TABLE IF EXISTS /*TABLE_PREFIX*/t_favorite_list;
CREATE TABLE /*TABLE_PREFIX*/t_favorite_list (
  list_id INT UNSIGNED NOT NULL UNIQUE AUTO_INCREMENT,
  list_name varchar(100) NOT NULL,
  current varchar(60) NOT NULL,
  user_id BIGINT(20) NOT NULL,
  user_logged BOOLEAN DEFAULT 0,
  notification BOOLEAN DEFAULT 0,
  last_access DATETIME,
  
  PRIMARY KEY (list_id)
) ENGINE=InnoDB DEFAULT CHARACTER SET 'UTF8' COLLATE 'UTF8_GENERAL_CI';


DROP TABLE IF EXISTS /*TABLE_PREFIX*/t_favorite_items;
CREATE TABLE /*TABLE_PREFIX*/t_favorite_items (
  record_id INT NOT NULL UNIQUE AUTO_INCREMENT,
  list_id INT UNSIGNED NOT NULL,
  item_id INT(10) UNSIGNED NOT NULL,
  added_date DATETIME,
  
  PRIMARY KEY (record_id),
  FOREIGN KEY (list_id) REFERENCES /*TABLE_PREFIX*/t_favorite_list (list_id) ON DELETE CASCADE ON UPDATE CASCADE,
  FOREIGN KEY (item_id) REFERENCES /*TABLE_PREFIX*/t_item (pk_i_id) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARACTER SET 'UTF8' COLLATE 'UTF8_GENERAL_CI';